<template>
  <q-page class="bg-grey-2 q-pa-sm">
    <div class="col-xs-6 col-sm-6 col-md-4 col-lg-3 col-xl-2">
      <q-card class="shadow-up-24 q-pb-xs">
        <q-card-section class="text-white bg-primary">
          <div
            class="text-h6"
            style="text-align: center"
          >
          Listado de Pagos
          </div>
        </q-card-section>
        <q-card-section>
            <q-btn class="bg-negative text-white" flat to="/Form">
                Nuevo
            </q-btn>
          <div class="q-pa-md">
            <q-table
              :data="info"
              :columns="columns"
              row-key="carrera"
              :filter="filter"
              >
              <template v-slot:top-right>
              <q-input borderless dense debounce="300" v-model="filter" placeholder="Buscar">
                <template v-slot:append>
                  <q-icon name="search" />
                </template>
              </q-input>
            </template>
            <template v-slot:body="props">
              <q-tr :props="props">
                <q-td key="concept" :props="props">
                  {{ props.row.concept }}
                </q-td>
                <q-td key="count" :props="props">
                  {{ props.row.count }}
                </q-td>
                <q-td key="actions" :props="props">
                  <q-btn
                    v-for="action in props.row.actions"
                    :key="action.icon"
                    :icon="action.icon"
                    :to="action.url"
                    :color="action.color"
                    flat
                    dense
                    />
                </q-td>
              </q-tr>
            </template>
            </q-table>
          </div>
        </q-card-section>
      </q-card>
    </div>
  </q-page>
</template>
<script>
export default {
  created () {
    this.infoSolicity()
  },
  data () {
    return {
      filter: '',
      info: [],
      columns: [
        {
          name: 'concept',
          required: true,
          align: 'left',
          field: row => row.concept,
          label: 'Concepto',
          format: val => `${val}`,
          sortable: true
        },
        {
          name: 'count',
          align: 'rigth',
          field: 'count',
          label: 'Costo',
          sortable: true
        },
        { name: 'actions', required: true, label: 'Acciones', align: 'left', field: 'actions', sortable: true }
      ]
    }
  },
  methods: {
    infoSolicity () {
      this.$q.loading.show()
      this.$api.get('CounterList').then(res => {
        this.info = res
        this.$q.loading.hide()
      })
    }
  }
}
</script>
